com.sun.jna.platform.win32

## Class Wtsapi32.WTS_PROCESS_INFO_EX

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.Wtsapi32.WTS_PROCESS_INFO_EX

- Enclosing interface:
    Wtsapi32

      @Structure.FieldOrder(value={"SessionId","ProcessId","pProcessName","pUserSid","NumberOfThreads","HandleCount","PagefileUsage","PeakPagefileUsage","WorkingSetSize","PeakWorkingSetSize","UserTime","KernelTime"})
      public static class Wtsapi32.WTS_PROCESS_INFO_EX
      extends Structure

  Contains extended information about a process running on a Remote Desktop Session Host (RD Session Host) server. This structure is returned by the WTSEnumerateProcessesEx function when you set the pLevel parameter to one.
  See Also:
    WTS_PROCESS_INFO_EXA, WTS_PROCESS_INFO_EXW

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `HandleCount`
    `WinNT.LARGE_INTEGER` | `KernelTime`
    `int` | `NumberOfThreads`
    `int` | `PagefileUsage`
    `int` | `PeakPagefileUsage`
    `int` | `PeakWorkingSetSize`
    `java.lang.String` | `pProcessName`
    `int` | `ProcessId`
    `WinNT.PSID` | `pUserSid`
    `int` | `SessionId`
    `WinNT.LARGE_INTEGER` | `UserTime`
    `int` | `WorkingSetSize`

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WTS_PROCESS_INFO_EX()`
    `WTS_PROCESS_INFO_EX(Pointer p)`

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### SessionId

          public int SessionId

    - #### ProcessId

          public int ProcessId

    - #### pProcessName

          public java.lang.String pProcessName

    - #### pUserSid

          public WinNT.PSID pUserSid

    - #### NumberOfThreads

          public int NumberOfThreads

    - #### HandleCount

          public int HandleCount

    - #### PagefileUsage

          public int PagefileUsage

    - #### PeakPagefileUsage

          public int PeakPagefileUsage

    - #### WorkingSetSize

          public int WorkingSetSize

    - #### PeakWorkingSetSize

          public int PeakWorkingSetSize

    - #### UserTime

          public WinNT.LARGE_INTEGER UserTime

    - #### KernelTime

          public WinNT.LARGE_INTEGER KernelTime

  - ### Constructor Detail

    - #### WTS_PROCESS_INFO_EX

          public WTS_PROCESS_INFO_EX()

    - #### WTS_PROCESS_INFO_EX

          public WTS_PROCESS_INFO_EX(Pointer p)

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.